#fontsize( 8)
*******************************************************
**
**  Basic Startup Program.
**  ----------------------
**
**  Look for all lines commented as TBD (to be done)
**  to see what you should change.
**
*******************************************************

*******************************************************
* Some initial settings.  Maybe you want to change these...
#Fontsize(12)
#itemwalkspeed("slow")
#walkspeed("slow")
#mediaplay("vip - title2.mid")
*******************************************************

#BorderColor(0,0,0)
#Fade(1)

*******************************************************
* TBD: Play a title screen file here...
* #MidiPlay("mysong.mid")
*******************************************************

#Clear

*******************************************************
* Draws the title screen...
#drawtitle()
*******************************************************

*******************************************************
* Waits for the user to choose something...
#done!=0
#While(done!=0)
{
    #MouseClick(x!,y!)          *waits for a mouse click and returns x y coords
    #CheckButton(x!,y!,opt!)    *checks if we clicked a button
    #if (opt!=0)
    {
        *'new game' clicked
        *#history()
        #Color(15)
        * TBD: You might want to change the message window graphic...
        #WinGraphic("mwin.jpg") *Message window graphic
        #Fontsize(12)
        #done!=1
        #selectGraphics()
	#end
    }
    #if (opt!=1)
    {
        *'load game' clicked
        #dirsav(dest$)
        #if(dest$~="CANCEL")
        {
            #load(dest$)
            #done!=1
            #end
        }
    }
    #if (opt!=2) {#dos}
}
#end

*******************************************************
* This method draws the title screen...
*******************************************************
#method drawtitle()
{
    #Fade(1)
    #Clear
    * TBD: Set some graphic for your title screen graphic.
    #Bitmap("title.gif")

    #WinGraphic("mwin.jpg")

    * TBD: Maybe you want to change these buttons...
    #setbutton("new.jpg", 0,123,45,125,30)
    #setbutton("load.jpg",1,248,45,125,30)
    #setbutton("quit.jpg",2,373,45,125,30)
}

* TBD: Put a stroy here...
#method history()
{
	*Main story
        #MWin(" Your story goes here...")
	#Wait(a$)
}

#method selectGraphics()
{
	#clear
	#fontsize(25)
	#Italics("on")
	#Text(1,1,"Graphics Mode Selection")
	#Italics("off")
	#ColorRGB(255, 0, 0)
	#DrawLine(2,30,600,30)
	#ColorRGB(150, 0, 0)
	#DrawLine(3,31,599,31)
	#ColorRGB(100, 0, 0)
	#DrawLine(4,32,598,32)
	#fontsize(16)
	#ColorRGB(255,255,255)
	#Text(3,5,"The RPG Toolkit can draw graphics in different ways.")
	#Text(3,6,"Please select the mode you want to use:")
	#fontsize(20)
	#Bold("on")
	#text(7,8,"1 - No parallaxing [fast!]")
	#text(7,9,"2 - Parallaxing on [slower, but with parallax effects]")
	#bold("off")
	#fontsize(14)
	#text(20,15,"Press 1 or 2")
	#done! = 0
	#while(done! = 0)
	{
		#wait(a$)
		#if(a$="1")
		{
			#parallaxMode! = 2
			#done! = 1
		}
		#if(a$="2")
		{
			#parallaxMode! = 1
			#done! = 1
		}
	}
	#parallax(parallaxMode!)
}
